package cn.superdesk.uniorder.dubbo.facade.accounting;

import cn.superdesk.uniorder.common.rest.response.R;

import cn.superdesk.uniorder.dao.entity.accounting.AccountingAppeal;
import cn.superdesk.uniorder.dto.param.accounting.AccountingAppealParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description: 对账单-申诉
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-10-23 17:19:13
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-10-23 17:19:13
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboAccountingAppealService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(AccountingAppealParam param);

	@Deprecated
	void updateObj(AccountingAppealParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	AccountingAppeal findById(Long id);

	@Deprecated
	PageInfo<AccountingAppeal> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<AccountingAppeal> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addAccountingAppeal(AccountingAppealParam param);

	void updateAccountingAppeal(AccountingAppealParam param);

	void deleteAccountingAppeal(Long id);

	AccountingAppeal findAccountingAppealById(Long id);

	AccountingAppeal findAccountingAppealByAccountingOrderId(Long accountingOrderId);

	R<List<AccountingAppeal>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
